LFR-FSW - Bug #433

R3 ***: TM_LFR_TC_EXE_NOT_EXECUTABLE: octet 25 SPARE is changed
10/06/2015 04:25 PM - Veronique bouzid

Status: Closed Start date: 10/06/2015
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Lors du test /opt/VALIDATION_R3/Ifrverif/LFR_SVS/SVS-0007/loop_tm_lfr_tc_exe_no_ack.py

1 execution de verif fields a détécté une non-confirmité / icd
13:06:08.290349, TM_LFR_TC_EXE_NOT_EXECUTABLE, /!\SPARE=2
13:06:09.709858, TM_LFR_TC_EXE_NOT_EXECUTABLE, /!\SPARE=2
13:06:11.324136, TM_LFR_TC_EXE_NOT_EXECUTABLE, /!\SPARE=2

en fait I'octet 25 de cette TM a été réagencé.

BO = bit de spare

B1 = bit correspondant a HK_LFR_SC_POTENTIEL_FLAG
B2 = bit correspondant a HK_LFR_MAG_FIELDS_FLAG
Les autres bits sont conservés.

Les fichiers de logs (2015_06_10-13_06_19*) sont dans /home/validation/data/R3/3.0.0.4/SVS-0007

Contexte du test

FSW 3.0.0.4

VHDL 1.1.83

EM sans timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee

dans les HK, on les retrouve egalement
HK_LFR_SC POTENTIEL FLAG: OFF =0, HK_LFR_MAG_FIELDS FLAG:OFF =0

History

#1 - 10/06/2015 04:28 PM - Veronique bouzid

- Description updated

#2 - 11/06/2015 09:11 AM - Veronique bouzid

- Status changed from New to Closed

Bug corrigé.
J ai modifié /opt/VALIDATION_RS3/Ifrverif/common/icd/tm_lfr_tc_exe_not_executable_analyze.py.

le fichier icd_check.txt ne montre plus de non-conformité.

La TM est correctement décrite

16:08:08.492843, TM_LFR_TC_EXE_NOT_EXECUTABLE, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0,
DATA_FIELD HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: ACKNOWLEDGE = 1,
(PACKET_ID=0xcc1), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=21,
(PACKET_SEQUENCE_CONTROL=0xc015), PACKET_LENGTH=19, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0, SERVICE_TYPE:
TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_FAILURE = 8, DESTINATION_ID:
MISSION_TIMELINE = 110, TIME=0x8000000dcf7f, PA_RPW_TELECOMMAND_PKT_ID=0x1ccc, PA_RPW_PKT_SEQ_CONTROL=0xc7c1,
PA_RPW_TC_FAILURE_CODE: TC_NOT_EXE = 42000, PA_RPW_TC_SERVICE=181, PA_RPW_TC_SUBTYPE=41, HK_LFR_MODE:
STANDBY =0, HK_LFR_DPU_SPW_ENABLED: ENABLED = 1, HK_LFR_DPU_SPW_LINK_STATE: RUN = 5, SPARE=0,
HK_LFR_SC_POTENTIAL_FLAG: OFF =0, HK_LFR_MAG_FIELDS_FLAG: OFF =0, SY_LFR_WATCHDOG_ENABLED: DISABLED =0,
HK_LFR_CALIB_ENABLED: ENABLED =1, HK_LFR_RESET_CAUSE: UNKNOWN_CAUSE =0

Le champ HK_LFR_SC_POTENTIAL_FLAG: OFF = 0 doit correspondre a celui de la TM_LFR_HK précédent.
Ce champ est positionné a ON (=1) des que LFR est en mode scientifique.

Ici un exemple en NORMAL MODE

LA HK

16:08:21.877497, TM_LFR_HK, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0, DATA_FIELD_HEADER_FLAG:
WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: HK_ROUTINE = 4, (PACKET_ID=0xcc4),
SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=25, (PACKET_SEQUENCE_CONTROL=0xc019),
PACKET_LENGTH=129, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0, SERVICE_TYPE:
HOUSEKEEPING_AND_DIAGNOSTIC_DATA_REPORTING = 3, SERVICE_SUBTYPE: HK_PARAMETER_REPORT = 25, DESTINATION_ID:
GROUND = 0, TIME=0x8000001b31b9, PA_LFR_HK_REPORT_SID: LFR_HK_SID = 1, HK_LFR_MODE: NORMAL = 1,
HK_LFR_DPU_SPW_ENABLED: ENABLED = 1, HK_LFR_DPU_SPW_LINK_STATE: RUN = 5, SPARE=0x0, HK_LFR_SC_POTENTIEL_FLAG:
ON =1, HK_LFR_MAG_FIELDS_FLAG: OFF =0, SY_LFR_WATCHDOG_ENABLED: DISABLED = 0, HK_LFR_CALIB_ENABLED: DISABLED =0,
HK_LFR_RESET_CAUSE: UNKNOWN_CAUSE =0

et

16:08:22.139426, TM_LFR_TC_EXE_NOT_EXECUTABLE, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: ACKNOWLEDGE = 1,
(PACKET_ID=0xcc1), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=75,
(PACKET_SEQUENCE_CONTROL=0xc04b), PACKET_LENGTH=19, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0, SERVICE_TYPE:
TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_FAILURE = 8, DESTINATION_ID:
MISSION_TIMELINE = 110, TIME=0x8000001b7459, PA_RPW_TELECOMMAND_PKT_ID=0x1ccc, PA_RPW_PKT_SEQ_CONTROL=0xd414,
PA_RPW_TC_FAILURE_CODE: TC_NOT_EXE = 42000, PA_RPW_TC_SERVICE=181, PA_RPW_TC_SUBTYPE=13, HK_LFR_MODE: NORMAL
=1, HK_LFR_DPU_SPW_ENABLED: ENABLED = 1, HK_LFR_DPU_SPW_LINK_STATE: RUN = 5, SPARE=0, HK_LFR_SC_POTENTIAL_FLAG:
ON =1, HK_LFR_MAG_FIELDS_FLAG: OFF =0, SY_LFR_WATCHDOG_ENABLED: DISABLED = 0, HK_LFR_CALIB_ENABLED: DISABLED = 0,
HK_LFR_RESET_CAUSE: UNKNOWN_CAUSE =0

Le champ HK_LFR_SC_MAG_FIELDS_FLAG est positionné seulement si le bit SY_LFR_N_CWF_LONG_F3 = 1 c'est a dire que | on demande des
produits CWF_LONG_F3.

Les fichiers de logs (2015_06_10-16_08_33*) sont dans /home/validation/data/R3/3.0.0.4/SVS-0007/step1
